Bug 1153770 - (CVE-2019-17450) VUL-1: CVE-2019-17450: binutils: denial of service in find_abstract_instance in dwarf2.c
(CVE-2019-17450)
VUL-1: CVE-2019-17450: binutils: denial of service in find_abstract_instance ...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Michael Matz
Security Team bot
https://smash.suse.de/issue/244717/
CVSSv3.1:SUSE:CVE-2019-17450:3.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-11 14:52 UTC by Robert Frohl
Modified: 2021-11-02 14:27 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2019-10-11 14:52:15 UTC
CVE-2019-17450

find_abstract_instance in dwarf2.c in the Binary File Descriptor (BFD) library
(aka libbfd), as distributed in GNU Binutils 2.32, allows remote attackers to
cause a denial of service (infinite recursion and application crash) via a
crafted ELF file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-17450
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17450
https://sourceware.org/bugzilla/show_bug.cgi?id=25078
Comment 1 Swamp Workflow Management 2020-02-27 10:10:09 UTC
This is an autogenerated message for OBS integration:
This bug (1153770) was mentioned in
https://build.opensuse.org/request/show/779849 Factory / binutils
Comment 3 Swamp Workflow Management 2020-10-28 11:19:10 UTC
SUSE-SU-2020:3060-1: An update that solves 8 vulnerabilities, contains three features and has 5 fixes is now available.

Category: security (moderate)
Bug References: 1126826,1126829,1126831,1140126,1142649,1143609,1153768,1153770,1157755,1160254,1160590,1163333,1163744
CVE References: CVE-2019-12972,CVE-2019-14250,CVE-2019-14444,CVE-2019-17450,CVE-2019-17451,CVE-2019-9074,CVE-2019-9075,CVE-2019-9077
JIRA References: ECO-2373,SLE-7464,SLE-7903
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    binutils-2.35-7.11.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    binutils-2.35-7.11.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    binutils-2.35-7.11.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    binutils-2.35-7.11.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    binutils-2.35-7.11.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    binutils-2.35-7.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2020-10-31 17:16:33 UTC
openSUSE-SU-2020:1790-1: An update that solves 8 vulnerabilities and has 5 fixes is now available.

Category: security (moderate)
Bug References: 1126826,1126829,1126831,1140126,1142649,1143609,1153768,1153770,1157755,1160254,1160590,1163333,1163744
CVE References: CVE-2019-12972,CVE-2019-14250,CVE-2019-14444,CVE-2019-17450,CVE-2019-17451,CVE-2019-9074,CVE-2019-9075,CVE-2019-9077
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    binutils-2.35-lp151.3.9.1, cross-aarch64-binutils-2.35-lp151.3.9.1, cross-arm-binutils-2.35-lp151.3.9.1, cross-avr-binutils-2.35-lp151.3.9.1, cross-epiphany-binutils-2.35-lp151.3.9.1, cross-hppa-binutils-2.35-lp151.3.9.1, cross-hppa64-binutils-2.35-lp151.3.9.1, cross-i386-binutils-2.35-lp151.3.9.1, cross-ia64-binutils-2.35-lp151.3.9.1, cross-m68k-binutils-2.35-lp151.3.9.1, cross-mips-binutils-2.35-lp151.3.9.1, cross-ppc-binutils-2.35-lp151.3.9.1, cross-ppc64-binutils-2.35-lp151.3.9.1, cross-ppc64le-binutils-2.35-lp151.3.9.1, cross-riscv64-binutils-2.35-lp151.3.9.1, cross-rx-binutils-2.35-lp151.3.9.1, cross-s390-binutils-2.35-lp151.3.9.1, cross-s390x-binutils-2.35-lp151.3.9.1, cross-sparc-binutils-2.35-lp151.3.9.1, cross-sparc64-binutils-2.35-lp151.3.9.1, cross-spu-binutils-2.35-lp151.3.9.1
Comment 5 Swamp Workflow Management 2020-11-01 14:14:56 UTC
openSUSE-SU-2020:1804-1: An update that solves 8 vulnerabilities and has 5 fixes is now available.

Category: security (moderate)
Bug References: 1126826,1126829,1126831,1140126,1142649,1143609,1153768,1153770,1157755,1160254,1160590,1163333,1163744
CVE References: CVE-2019-12972,CVE-2019-14250,CVE-2019-14444,CVE-2019-17450,CVE-2019-17451,CVE-2019-9074,CVE-2019-9075,CVE-2019-9077
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    binutils-2.35-lp152.4.3.1, cross-aarch64-binutils-2.35-lp152.4.3.1, cross-arm-binutils-2.35-lp152.4.3.1, cross-avr-binutils-2.35-lp152.4.3.1, cross-epiphany-binutils-2.35-lp152.4.3.1, cross-hppa-binutils-2.35-lp152.4.3.1, cross-hppa64-binutils-2.35-lp152.4.3.1, cross-i386-binutils-2.35-lp152.4.3.1, cross-ia64-binutils-2.35-lp152.4.3.1, cross-m68k-binutils-2.35-lp152.4.3.1, cross-mips-binutils-2.35-lp152.4.3.1, cross-ppc-binutils-2.35-lp152.4.3.1, cross-ppc64-binutils-2.35-lp152.4.3.1, cross-ppc64le-binutils-2.35-lp152.4.3.1, cross-riscv64-binutils-2.35-lp152.4.3.1, cross-rx-binutils-2.35-lp152.4.3.1, cross-s390-binutils-2.35-lp152.4.3.1, cross-s390x-binutils-2.35-lp152.4.3.1, cross-sparc-binutils-2.35-lp152.4.3.1, cross-sparc64-binutils-2.35-lp152.4.3.1, cross-spu-binutils-2.35-lp152.4.3.1, cross-xtensa-binutils-2.35-lp152.4.3.1
Comment 7 Swamp Workflow Management 2020-11-27 20:16:29 UTC
SUSE-SU-2020:3552-1: An update that solves 8 vulnerabilities, contains three features and has 6 fixes is now available.

Category: security (moderate)
Bug References: 1126826,1126829,1126831,1140126,1142649,1143609,1153768,1153770,1157755,1160254,1160590,1163333,1163744,1179036
CVE References: CVE-2019-12972,CVE-2019-14250,CVE-2019-14444,CVE-2019-17450,CVE-2019-17451,CVE-2019-9074,CVE-2019-9075,CVE-2019-9077
JIRA References: ECO-2373,SLE-7464,SLE-7903
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    binutils-2.35.1-6.15.1
SUSE Linux Enterprise Server 15-LTSS (src):    binutils-2.35.1-6.15.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    binutils-2.35.1-6.15.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    binutils-2.35.1-6.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-11-02 14:27:03 UTC
SUSE-SU-2021:3593-1: An update that solves 21 vulnerabilities, contains 7 features and has 8 fixes is now available.

Category: security (moderate)
Bug References: 1126826,1126829,1126831,1140126,1142649,1143609,1153768,1153770,1157755,1160254,1160590,1163333,1163744,1179036,1179341,1179898,1179899,1179900,1179901,1179902,1179903,1180451,1180454,1180461,1181452,1182252,1183511,1184620,1184794
CVE References: CVE-2019-12972,CVE-2019-14250,CVE-2019-14444,CVE-2019-17450,CVE-2019-17451,CVE-2019-9074,CVE-2019-9075,CVE-2019-9077,CVE-2020-16590,CVE-2020-16591,CVE-2020-16592,CVE-2020-16593,CVE-2020-16598,CVE-2020-16599,CVE-2020-35448,CVE-2020-35493,CVE-2020-35496,CVE-2020-35507,CVE-2021-20197,CVE-2021-20284,CVE-2021-3487
JIRA References: ECO-2373,PM-2767,SLE-18637,SLE-19618,SLE-21561,SLE-7464,SLE-7903
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    binutils-2.37-9.39.1
SUSE OpenStack Cloud Crowbar 8 (src):    binutils-2.37-9.39.1
SUSE OpenStack Cloud 9 (src):    binutils-2.37-9.39.1
SUSE OpenStack Cloud 8 (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    binutils-2.37-9.39.1, cross-ppc-binutils-2.37-9.39.1, cross-spu-binutils-2.37-9.39.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server 12-SP5 (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    binutils-2.37-9.39.1
HPE Helion Openstack 8 (src):    binutils-2.37-9.39.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.